org.eclipse.graphiti.datatypes

## Interface ILocation

All Known Subinterfaces:
  IAdvancedLocation, IImageDecorator, IRectangle, ITextDecorator

All Known Implementing Classes:
  ImageDecorator, LocationImpl, RectangleImpl, TextDecorator

    public interface ILocation

The Interface ILocation.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getX()` Gets the x value.
`int` `getY()` Gets the y value.
`void` `setX(int x)` Sets the x coordinate of this location.
`void` `setY(int y)` Sets the y coordinate of this location.

### Method Detail

#### getY

    int getY()

Gets the y value.

Returns:
  the y value of this location

#### setY

    void setY(int y)

Sets the y coordinate of this location.

Parameters:
  `y` - the new y coordinate

#### getX

    int getX()

Gets the x value.

Returns:
  the x value of this location

#### setX

    void setX(int x)

Sets the x coordinate of this location.

Parameters:
  `x` - the new x coordinate